//--------------------------------------------------------------
// Press F1 to get help about using script.
// To access an object that is not located in the current class, start the call with Globals.
// When using events and timers be cautious not to generate memoryleaks,
// please see the help for more information.
//---------------------------------------------------------------
	
    /*
	*******************************************************************
	All examples in this support document are only intended
	to improve understanding of the functionality and 
	handling of the equipment. 
	Beijer Electronics AB cannot assume any liability if these
	examples are used in real applications.
	In view of the wide range of applications for this 
	equipment, users must acquire sufficient knowledge 
	themselves in order to ensure that it is correctly used in 
	their specific application. Persons responsible for the 
	application and the equipment must themselves 
	ensure that each application is in compliance with all 
	relevant requirements, standards and legislation in 
	respect to configuration and safety.
	Beijer Electronics AB will accept no liability for any 
	damage incurred during the installation or use of this 
	equipment.
	Beijer Electronics AB prohibits all modification, changes
	or conversion of the equipment.
	*******************************************************************
	*/


namespace Neo.ApplicationFramework.Generated
{
	using System.Windows.Forms;
	using System;
	using System.Drawing;
	using Neo.ApplicationFramework.Tools;
	using Neo.ApplicationFramework.Common.Graphics.Logic;
	using Neo.ApplicationFramework.Controls;
	using Neo.ApplicationFramework.Interfaces;
	using System.IO;
	using System.Diagnostics;
	using System.Data;

	public partial class Screen1
	{		
		void Button1_Click(System.Object sender, System.EventArgs e)
		{
			// Disable the button so the user doesn't click twice if the 
			// operation takes time.
			Button1.IsEnabled = false;
			
			// Excecute the clear table operation in the script module
			Globals.ClearDataLogger.ClearTable("DataLoggerExample");
			
			// Clear the ListBox of items.
			ListBox1.Items.Clear();
			
			// Enable the clear button again.
			Button1.IsEnabled = true;
		}
		
		void Button2_Click(System.Object sender, System.EventArgs e)
		{
			// Clear the ListBox of items.
			ListBox1.Items.Clear();
			
			//Read in from the Data Logger and display it in the viewer window
			
			DataSet dataSet = Globals.ClearDataLogger.GetResultSet("DataLoggerExample");

			//Prevent "-----" on last item
			int lastCount = dataSet.Tables[0].Columns.Count;
			int count = 0;
			
			//Iterate through each column name in the result set
			string columnToAdd = string.Empty;
			foreach (DataColumn column in dataSet.Tables[0].Columns)
			{
				count++;
				if (count == lastCount) columnToAdd += column.ColumnName;
				else columnToAdd += column.ColumnName + "-----";
			}
			
			//Add the column names to the top of the window
			ListBox1.Items.Add(columnToAdd);
			
			//Iterate through each row in the result set
			foreach (DataRow row in dataSet.Tables[0].Rows)
			{
				string rowToAdd = string.Empty;
				
				//Prevent "-----" on last item
				lastCount = row.ItemArray.Length;
				count = 0;
				
				//Iterate through each cell in the row
				foreach (object cell in row.ItemArray)
				{
					count++;
					//Add the value of the cell to the string
					//followed by a tab for easier viewing.
					if (count != lastCount) rowToAdd += cell.ToString() + "-----";
					else rowToAdd += cell.ToString();
				}	
				
				//Add each string to the window
				ListBox1.Items.Add(rowToAdd);
			}
		}
		
	}
}
